/*
 * uot100.h
 *
 * Copyright (c) 2008 kohei sekine (eggman@ptie.org)
 *
 * $Id$
 *
 *	This program is free software; you can redistribute it and/or modify it
 *	under the terms of the GNU General Public License as published by the Free
 *	Software Foundation, version 2.
 *
 */
#include <linux/ioctl.h>


struct uot100_data {
	int len;
	unsigned char *p;
};


#define UOT100_IOC_MAGIC  'o'

#define UOT100_START_STREAM    _IO(UOT100_IOC_MAGIC,   1)
#define UOT100_STOP_STREAM     _IO(UOT100_IOC_MAGIC,   2)
#define UOT100_SET_CHANNEL     _IOW(UOT100_IOC_MAGIC,  3, int)
#define UOT100_GET_CHANNEL     _IOR(UOT100_IOC_MAGIC,  4, int)
#define UOT100_SEND_SETUP_PKT  _IOW(UOT100_IOC_MAGIC,  5, struct uot100_data *)
#define UOT100_NB_READ         _IOWR(UOT100_IOC_MAGIC, 6, struct uot100_data *)
#define UOT100_SET_CONFIG      _IOW(UOT100_IOC_MAGIC,  6, u32)


#define UOT100_CTRL_REQUEST		2
#define UOT100_CTRL_VALUE_START		1
#define UOT100_CTRL_VALUE_WRITE_REGS	2
#define UOT100_CTRL_INDEX		0
