/*
 * uot100config.c
 *
 * Copyright (c) 2008 kohei sekine (eggman@ptie.org)
 *
 *	This program is free software; you can redistribute it and/or modify it
 *	under the terms of the GNU General Public License as published by the Free
 *	Software Foundation, version 2.
 *
 */

//#define DEBUG
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <fcntl.h>
#include <sys/ioctl.h>
#include <unistd.h>

#include "uot100.h"

void usage(void)
{
	printf("uot100conifg [num] [channcel]\n");
	printf("\n");
	printf("initialize UOT-100\n");
	printf("  num     : 0-9   device id\n");
	printf("  channel : 13-63 channel\n");
}

int main(int argc, char *argv[])
{

	int fd;
	int id=0;
	int ch=0;
	char filename[255];


	if (argc != 3){
		usage();
		return 0;
	}

	id=atoi(argv[1]);
	if (id < 0 || 9 < id){
		usage();
		return 0;
	}

	ch=atoi(argv[2]);
	if (id < 0 || 255 < id){
		usage();
		return 0;
	}

	printf("dev: /dev/uot%d ch: %02x\n", id, ch);

	sprintf(filename, "/dev/uot%d", id);
	fd=open(filename, O_RDWR);
	if(fd<0){
		fprintf(stderr, "cannot open device\n");
	}

	//ioctl(fd, UOT100_START_STREAM);
	ioctl(fd, UOT100_SET_CHANNEL, ch);

	printf("close device\n");
	close(fd);
	
	return 0;
}
